rm(list=ls())

setwd("D:/DataMining/Databases_for_mining/dataset_for_soft_dev_and_comparison/fact_analysis/afc")
foods <- read.table(file="statements_foods.txt",header=T,sep="\t",row.names=1)
print(foods)

#chi-squared test
print(chisq.test(foods))

#*********************
#CA using 'ca' package
#*********************
library(ca)
foods.ca <- ca(foods,nd=2)

#eigen values and cumulative proportion of variance explained in percentage
print(cbind(foods.ca$sv^2,(100.0*cumsum(foods.ca$sv^2)/sum(foods.ca$sv^2))))

#row analysis
attach(foods.ca)
row.ca <- round(cbind(rowmass,rowdist^2,rowinertia,rowcoord[,1]*sv[1],rowcoord[,2]*sv[2]),5)
colnames(row.ca) <- c("weight","sq.dist","inertia","coord.1","coord.2")
rownames(row.ca) <- rownames
print(row.ca)

#column analysis
col.ca <- round(cbind(colmass,coldist^2,colinertia,colcoord[,1]*sv[1],colcoord[,2]*sv[2]),5)
colnames(col.ca) <- c("weight","sq.dist","inertia","coord.1","coord.2")
rownames(col.ca) <- colnames
print(col.ca)

#plotting rows and columns
plot(foods.ca)

#***********************
#CA using 'ade4' package
#***********************
library(ade4)
foods.coa <- dudi.coa(foods,scannf=F,nf=2)

#eigen values and cumulative proportion of variance explained in percentage
print(round(cbind(foods.coa$eig,100.0*cumsum(foods.coa$eig)/sum(foods.coa$eig)),4))

#row analysis - coordinates and contributions
print(cbind(foods.coa$li,inertia.dudi(foods.coa,row.inertia=T)$row.abs))

#column analysis - coordinates and contributions
print(cbind(foods.coa$co,inertia.dudi(foods.coa,col.inertia=T)$col.abs))

#plotting rows and columns
scatter.coa(foods.coa,method=1)

#canonical graph
score.coa(foods.coa,xax=1,dotchart=T)

